org.bdgenomics.adam.models

# VariantContext

###
Related Docs: class VariantContext | package models

#### object VariantContext extends Serializable

Singleton object for building VariantContexts.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantContext
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(v: Variant, genotypes: Iterable[Genotype]): VariantContext

   Constructs an VariantContext from an Variant and Seq[Genotype] and DatabaseVariantAnnotation

   Constructs an VariantContext from an Variant and Seq[Genotype] and DatabaseVariantAnnotation

   v

     Variant which is used to construct the ReferencePosition

   genotypes

     Seq[Genotype]

   returns

     VariantContext corresponding to the Variant

5. #### def apply(v: Variant): VariantContext

   Constructs an VariantContext from an Variant

   Constructs an VariantContext from an Variant

   v

     Variant which is used to construct the ReferencePosition

   returns

     VariantContext corresponding to the Variant

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def buildFromGenotypes(genotypes: Seq[Genotype]): VariantContext

   Builds a variant context off of a set of genotypes.

   Builds a variant context off of a set of genotypes. Builds variants from the genotypes.

   genotypes

     List of genotypes to build variant context from.

   returns

     A variant context corresponding to the variants and genotypes at this site.

   Note

     Genotypes must be at the same position.

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped